import time
from dataclasses import dataclass

def hlo(nem: str):
    if type(nem) == str:
        return f"Hello {nem}!"
    else:
        return f"Hello user!"
    
def thyme():
    return time.time()

@dataclass
class Calc:
    total: int = 0

    double = property(lambda self: self.total * 2)

    def add_two(self, n1: int, n2: int) -> int:
        self.total = n1 + n2
        return self.total

    def add_too(self, n: int) -> int:
        self.total += n
        return self.total